Bug 248396 - www/mattermost-webapp www/mattermost-server: Update to 5.25.3
Summary: www/mattermost-webapp www/mattermost-server: Update to 5.25.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-31 21:19 UTC by Greg Fitzgerald
Modified: 2020-08-21 13:21 UTC (History)
2 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
mattermost.diff (3.33 KB, patch)
2020-07-31 21:19 UTC, Greg Fitzgerald
no flags Details | Diff
Update to 2.25.3 (3.73 KB, patch)
2020-08-21 10:35 UTC, Greg Fitzgerald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Fitzgerald 2020-07-31 21:19:14 UTC
Created attachment 216918 [details]
mattermost.diff

v5.25.2, released 2020-07-31
    * Fixed an issue where pages in the System Console didn’t scroll up or down in some browser versions. MM-27168

v5.25.1, released 2020-07-23
    * Smoothed the database query load while syncing teams and channel roles by fetching data in batches. MM-27114
    * Fixed a bug in pagination which queried more data redundantly. MM-27187
    * Throttled network traffic by implementing bounded concurrency.
Comment 1 loic.blot 2020-08-04 17:58:09 UTC
okay for me
Comment 2 loic.blot 2020-08-05 05:33:35 UTC
okay for me
Comment 3 Greg Fitzgerald 2020-08-21 10:35:16 UTC
Created attachment 217416 [details]
Update to 2.25.3

v5.25.3, released 2020-08-12

    Fixed an issue where the permission to create user access tokens on environments with OpenID Connect login providers such as GitLab was denied for System Admins. MM-27623
    Fixed an issue where deactivated users were included in compliance exports. MM-27194
    Fixed an issue where guest user invites did not work in a SAML environment. MM-27519
    Fixed an issue where the bulk export didn’t finish if a custom data directory was set. MM-27550
    Fixed an issue with a performance degradation after upgrading to 5.25.0. MM-27575
    Fixed an issue where attempting to pin a post failed if a user did not have the channel_mention permission on a channel. MM-26346
Comment 4 loic.blot 2020-08-21 11:04:01 UTC
hello thanks but 2.26 has been released. Can you upgrade?
Thanks
Comment 5 Greg Fitzgerald 2020-08-21 11:10:55 UTC
Wasn't sure if the plan was to stay on the ESR or Release branch. I'll upgrade it sometime today.
Comment 6 commit-hook freebsd_committer 2020-08-21 13:21:04 UTC
A commit references this bug:

Author: joneum
Date: Fri Aug 21 13:21:01 UTC 2020
New revision: 545596
URL: https://svnweb.freebsd.org/changeset/ports/545596

Log:
  www/mattermost-webapp www/mattermost-server: Update to 5.25.3

  PR:		248396
  Sponsored by:	Netzkommune GmbH

Changes:
  head/www/mattermost-server/Makefile
  head/www/mattermost-server/distinfo
  head/www/mattermost-webapp/Makefile
  head/www/mattermost-webapp/distinfo
  head/www/mattermost-webapp/pkg-plist